#!/bin/bash

# standard open ports for all vpn
#
# DO NOT MODIFY THIS FILE, ENABLE/DISABLE OPTION IN
# CONFIG FILES INSTED
#
$option_tun_stdports && {

	[ "X$OPTION_TUN_STDPORTS_TCP" == "X" ] && {
		ku_log "WARNING: option_tun_stdports enabled and \$OPTION_TUN_STDPORTS_TCP undefined"
	} || :
	[ "X$OPTION_TUN_STDPORTS_UDP" == "X" ] && {
		ku_log "WARNING: option_tun_stdports enabled and \$OPTION_TUN_STDPORTS_UDP undefined"
	} || :

	chain=${chain_prefix}vpn_std
	IT -N $chain

	for port in $OPTION_TUN_STDPORTS_TCP
	do
		IT -A $chain --protocol tcp --destination-port $port -j ACCEPT
	done

	for port in $OPTION_TUN_STDPORTS_UDP
	do
		IT -A $chain --protocol udp --destination-port $port -j ACCEPT
	done

	# enable vpn
	#
	for iface in $(ifconfig | grep "^tun" | sed -e 's/:* .*//')
	do
		IT -A INPUT -i $iface -j $chain
	done

	unset iface
	unset chain

} || :
